PHPExcel_Style_Supervisor

category | PHPExcel
package | PHPExcel_Style
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Style_Alignment

    __construct(boolean $isSupervisor)

### Parameters

#### $isSupervisor

`boolean`

Flag indicating if this is a supervisor or not Leave this value at default unless you understand exactly what its ramifications are

## Bind parent.

    bindParent(\PHPExcel $parent, $parentPropertyName) : \PHPExcel_Style_Supervisor

Only used for supervisor

### Parameters

#### $parent

`\PHPExcel`

#### $parentPropertyName

### Returns

`\PHPExcel_Style_Supervisor`

## Get the currently active cell coordinate in currently active sheet.

    getActiveCell() : string

Only used for supervisor

### Returns

`string`E.g. 'A1'

## Get the currently active sheet.

    getActiveSheet() : \PHPExcel_Worksheet

Only used for supervisor

### Returns

`\PHPExcel_Worksheet`

## Is this a supervisor or a cell style component?

    getIsSupervisor() : boolean

### Returns

`boolean`

## Get the currently active cell coordinate in currently active sheet.

    getSelectedCells() : string

Only used for supervisor

### Returns

`string`E.g. 'A1'

### Properties

##

    $_isSupervisor : boolean

##

    $_parent : \PHPExcel_Style

Only used for supervisor